Bug 165784 - current disklessrc cannot be used to boot 2.6.9-12.2.EL kernel
current disklessrc cannot be used to boot 2.6.9-12.2.EL kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: Regression
Depends On: 165730
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-08-11 23:01 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-486
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 15:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-08-11 23:01:37 EDT
+++ This bug was initially created as a clone of Bug #165730 +++

Description of problem:

disklessrc had always brought up the boot interface (eg. eth0) and
did a 'host' lookup before bringing up the loopback device.

The 'host' lookup could cause the ipv6 module to be loaded before
the loopback device is brought up which causes kernel-2.6.9-12.2.EL
(the current RHEL-4-U2 kernel) to get an Oops and panic ( bug 165669 ).

The workaround is to bring up the loopback device before the boot interface.


Version-Release number of selected component (if applicable):

All system-config-netboot versions prior to 0.1.26-1_EL4 with 
kernel-2.6.9-12.2-EL 

How reproducible:
100% 

Steps to Reproduce:
Use system-config-netboot to create a diskless client with kernel-2.6.9-12.2-EL 
  
Actual results:
Diskless client never boots - kernel panics


Expected results:
Diskless client should boot up fine

Additional info:
Comment 4 Red Hat Bugzilla 2005-09-28 15:39:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-486.html

Note You need to log in before you can comment on or make changes to this bug.